﻿// JScript File
var globalCancel;

function uwg_AfterXmlHttpResponse (gridName) {
    __doPostBack(gridName,'');
}   

function hideProgressIndicator(oPanel) {
    oPanel.getProgressIndicator().setTemplate(" ");
}

function uwg_UpdateCell(gridID, cellID) {
    var cell = igtbl_getCellById(cellID);
    var row = cell.Row;  
    row.processUpdateRow(); 
}  

function uwg_BeforeRowDeleted (gridName, rowId) {        
    return !confirm('Are you sure you want to delete?')        
}       

function dateFormat(date) {
    if (date != null) {
        return isNaN (date) ? 'Bad Date Format' : [date.getMonth() > 8 ? date.getMonth() + 1 : '0' + (date.getMonth() + 1),date.getDate() > 9 ? date.getDate() : '0' + date.getDate(), date.getFullYear()].join('/')
    }
}

function CheckForNull(value, return_value) {
    if (value == null) { return return_value; }
    else { return value; }          
}

function uwg_BeforeRowTemplateClose(grid, row, save) {
    if (!save && !globalCancel) { return true; }
} 

function AllMyExs(name) {
    var new_name = name.replace('x','_');
    new_name = new_name.replace('xx','__');
    new_name= new_name.replace('x','_'); 
    new_name= new_name.replace('x','_');     
    new_name= new_name.replace('x','_'); 
    new_name= new_name.replace('x','_');                
    return new_name;
}

function uwg_BeforeRowTemplateOpen(gridName, rowId, templateId) { 
    globalCancel = false;
    var row = igtbl_getRowById(rowId);
    var grid = AllMyExs(gridName);
    var wctypestatus = igcmbo_getComboById(grid + '_ctl00_wc_typestatus'); 
    var wcgroupcategory = igcmbo_getComboById(grid + '_ctl00_wc_groupcategory');
    var txtreference = document.getElementById(grid + '_ctl00_txt_reference');
    var txttitle = document.getElementById(grid + '_ctl00_txt_title');                          
    var txtcitation = document.getElementById(grid + '_ctl00_txt_citation');
    var txtsummary = document.getElementById(grid + '_ctl00_txt_summary');                    
    var wdcpublished = igdrp_getComboById(grid + '_ctl00_wdc_published');
    var wdceffective = igdrp_getComboById(grid + '_ctl00_wdc_effective');
    var wdcdistribution = igdrp_getComboById(grid + '_ctl00_wdc_distribution');
    var wdccommentdue = igdrp_getComboById(grid + '_ctl00_wdc_commentdue');  
    var wdcwithdraw = igdrp_getComboById(grid + '_ctl00_wdc_withdraw');
    var wdccomment = igdrp_getComboById(grid + '_ctl00_wdc_comment');
    var txtindustrygroup = document.getElementById(grid + '_ctl00_txt_industrygroup');
    var txtlitigation = document.getElementById(grid + '_ctl00_txt_litigation');   
    var txtnotes = document.getElementById(grid + '_ctl00_txt_notes');        
    var wtelink1 = igedit_getById(grid + '_ctl00_wte_link1');    
    var wteurl1 = igedit_getById(grid + '_ctl00_wte_url1');
    var wtelink2 = igedit_getById(grid + '_ctl00_wte_link2');    
    var wteurl2 = igedit_getById(grid + '_ctl00_wte_url2');
    var wtelink3 = igedit_getById(grid + '_ctl00_wte_link3');    
    var wteurl3 = igedit_getById(grid + '_ctl00_wte_url3');
    var wtelink4 = igedit_getById(grid + '_ctl00_wte_link4');    
    var wteurl4 = igedit_getById(grid + '_ctl00_wte_url4');
    var wtelink5 = igedit_getById(grid + '_ctl00_wte_link5');    
    var wteurl5 = igedit_getById(grid + '_ctl00_wte_url5'); 

    wctypestatus.setValue(row.getCell(2).getValue() + ' - ' + row.getCell(21).getValue()); //type_desc - status_desc
    wcgroupcategory.setValue(row.getCell(4).getValue() + ' - ' + row.getCell(6).getValue()); //group_desc - category_desc
    txttitle.value = CheckForNull(row.getCell(7).getValue(), '');               
    txtcitation.value = CheckForNull(row.getCell(8).getValue(), '');
    txtreference.value = CheckForNull(row.getCell(9).getValue(), '');    
    txtsummary.value = CheckForNull(row.getCell(10).getValue(), '');             
    wdcpublished.setValue(CheckForNull(dateFormat(row.getCell(11).getValue()), '')); 
    wdceffective.setValue(CheckForNull(dateFormat(row.getCell(12).getValue()), ''));            
    wdcdistribution.setValue(CheckForNull(dateFormat(row.getCell(13).getValue()), ''));              
    wdccommentdue.setValue(CheckForNull(dateFormat(row.getCell(14).getValue()), '')); 
    wdcwithdraw.setValue(CheckForNull(dateFormat(row.getCell(15).getValue()), ''));             
    wdccomment.setValue(CheckForNull(dateFormat(row.getCell(16).getValue()), ''));
    txtindustrygroup.value = CheckForNull(row.getCell(17).getValue(), ''); 
    txtlitigation.value = CheckForNull(row.getCell(18).getValue(), '');
    txtnotes.value = CheckForNull(row.getCell(19).getValue(), ''); 
    wtelink1.setValue(CheckForNull(row.getCell(23).getValue(), '')); 
    wteurl1.setValue(CheckForNull(row.getCell(24).getValue(), ''));   
    wtelink2.setValue(CheckForNull(row.getCell(25).getValue(), '')); 
    wteurl2.setValue(CheckForNull(row.getCell(26).getValue(), ''));             
    wtelink3.setValue(CheckForNull(row.getCell(27).getValue(), '')); 
    wteurl3.setValue(CheckForNull(row.getCell(28).getValue(), '')); 
    wtelink4.setValue(CheckForNull(row.getCell(29).getValue(), '')); 
    wteurl4.setValue(CheckForNull(row.getCell(30).getValue(), '')); 
    wtelink5.setValue(CheckForNull(row.getCell(31).getValue(), '')); 
    wteurl5.setValue(CheckForNull(row.getCell(32).getValue(), ''));     
}    

function uwg_AfterRowTemplateClose(gridName, rowId, save) {
    if(event.srcElement.id == 'igtbl_reOkBtn') {
        var row = igtbl_getRowById(rowId);      
        var grid = AllMyExs(gridName); 
        var wctypestatus = igcmbo_getComboById(grid + '_ctl00_wc_typestatus');         
        var wcgroupcategory = igcmbo_getComboById(grid + '_ctl00_wc_groupcategory');  
        var txttitle = document.getElementById(grid + '_ctl00_txt_title');               
        var txtcitation = document.getElementById(grid + '_ctl00_txt_citation');
        var txtreference = document.getElementById(grid + '_ctl00_txt_reference');
        var txtsummary = document.getElementById(grid + '_ctl00_txt_summary');                    
        var wdcpublished = igdrp_getComboById(grid + '_ctl00_wdc_published');
        var wdceffective = igdrp_getComboById(grid + '_ctl00_wdc_effective');
        var wdcdistribution = igdrp_getComboById(grid + '_ctl00_wdc_distribution');
        var wdccommentdue = igdrp_getComboById(grid + '_ctl00_wdc_commentdue');  
        var wdcwithdraw = igdrp_getComboById(grid + '_ctl00_wdc_withdraw');
        var wdccomment = igdrp_getComboById(grid + '_ctl00_wdc_comment');
        var txtindustrygroup = document.getElementById(grid + '_ctl00_txt_industrygroup');
        var txtlitigation = document.getElementById(grid + '_ctl00_txt_litigation');   
        var txtnotes = document.getElementById(grid + '_ctl00_txt_notes');     
        var wtelink1 = igedit_getById(grid + '_ctl00_wte_link1');    
        var wteurl1 = igedit_getById(grid + '_ctl00_wte_url1');
        var wtelink2 = igedit_getById(grid + '_ctl00_wte_link2');    
        var wteurl2 = igedit_getById(grid + '_ctl00_wte_url2');
        var wtelink3 = igedit_getById(grid + '_ctl00_wte_link3');    
        var wteurl3 = igedit_getById(grid + '_ctl00_wte_url3');
        var wtelink4 = igedit_getById(grid + '_ctl00_wte_link4');    
        var wteurl4 = igedit_getById(grid + '_ctl00_wte_url4');
        var wtelink5 = igedit_getById(grid + '_ctl00_wte_link5');    
        var wteurl5 = igedit_getById(grid + '_ctl00_wte_url5');
                         
        row.getCell(1).setValue(getComboValues(wctypestatus,0)); //type_id
        row.getCell(2).setValue(getComboValues(wctypestatus,2)); //type_description  
        row.getCell(20).setValue(getComboValues(wctypestatus,1)); //status_id
        row.getCell(21).setValue(getComboValues(wctypestatus,3)); //status_description                              
        row.getCell(3).setValue(getComboValues(wcgroupcategory,0)); //group_id
        row.getCell(4).setValue(getComboValues(wcgroupcategory,2)); //group_description              
        row.getCell(5).setValue(getComboValues(wcgroupcategory,1)); //status_id
        row.getCell(6).setValue(getComboValues(wcgroupcategory,3)); //status_description
        row.getCell(7).setValue(txttitle.value); 
        row.getCell(8).setValue(txtcitation.value);                 
        row.getCell(9).setValue(txtreference.value);                                      
        row.getCell(10).setValue(txtsummary.value);             
        row.getCell(11).setValue(wdcpublished.getValue()); 
        row.getCell(12).setValue(wdceffective.getValue());            
        row.getCell(13).setValue(wdcdistribution.getValue());              
        row.getCell(14).setValue(wdccommentdue.getValue()); 
        row.getCell(15).setValue(wdcwithdraw.getValue());             
        row.getCell(16).setValue(wdccomment.getValue());
        row.getCell(17).setValue(txtindustrygroup.value); 
        row.getCell(18).setValue(txtlitigation.value);
        row.getCell(19).setValue(txtnotes.value); 
        row.getCell(23).setValue(wtelink1.getValue());
        row.getCell(24).setValue(wteurl1.getValue());
        row.getCell(25).setValue(wtelink2.getValue());
        row.getCell(26).setValue(wteurl2.getValue());
        row.getCell(27).setValue(wtelink3.getValue());
        row.getCell(28).setValue(wteurl3.getValue());
        row.getCell(29).setValue(wtelink4.getValue());
        row.getCell(30).setValue(wteurl4.getValue());
        row.getCell(31).setValue(wtelink5.getValue());
        row.getCell(32).setValue(wteurl5.getValue());   
        
        if (getComboValues(wctypestatus,1) == 77 || getComboValues(wctypestatus,1) == 96 || getComboValues(wctypestatus,1) == 214 || getComboValues(wctypestatus,1) == 216)
        {row.getCell(22).setValue(0);}    
        debugger;                                                                                                                                                         
        row.processUpdateRow(); 
    }
} 

function getComboValues(combo, cell) {
    var comboindex = combo.getSelectedIndex();
    var combogrid = combo.getGrid();
    var comborow = combogrid.Rows.getRow(comboindex);
    return comborow.getCell(cell).getValue();
}    

function wc_groupcategory_AfterSelectChange(webComboId) { 
    var FirstCombo = igcmbo_getComboById(webComboId);
    var SecondCombo = igcmbo_getComboById("ctl06_wc_entrycategory"); 
    var FirstGrid = FirstCombo.getGrid();
    var FirstSelectedIndex = FirstCombo.getSelectedIndex();
    SecondCombo.setSelectedIndex(-1);
    if (FirstSelectedIndex != -1) {
        var FirstId = FirstGrid.Rows.getRow(FirstSelectedIndex).getCellFromKey("code_id").getValue();
        SecondCombo.selectWhere("code_dep = '" + FirstId + "'");        
    }
}

function wc_entrycategory_AfterSelectChange(webComboId){
	var hdncat = document.getElementById('ctl06_hdn_category');
    var combo = igcmbo_getComboById(webComboId);
    var index = combo.getSelectedIndex();
    var grid = combo.getGrid();
    var row = grid.Rows.getRow(index);
	hdncat.value = row.getCell(0).getValue();     
}

function clearButtonClick () {  
    var wctype = igcmbo_getComboById('ctl06_wc_entrytype');
    var wcgroup = igcmbo_getComboById('ctl06_wc_entrygroup'); 
    var wccategory = igcmbo_getComboById('ctl06_wc_entrycategory');  
    var txttitle = document.getElementById('ctl06_txt_entrytitle');              
    var txtcitation = document.getElementById('ctl06_txt_entrycitation');          
    var txtreference = document.getElementById('ctl06_txt_entryreference');
    var txtsummary = document.getElementById('ctl06_txt_entrysummary');                    
    var wdcpublished = igdrp_getComboById('ctl06_wdc_entrypublished');
    var wdceffective = igdrp_getComboById('ctl06_wdc_entryeffective');
    var wdcdistribution = igdrp_getComboById('ctl06_wdc_entrydistribution');
    var wdccommentdue = igdrp_getComboById('ctl06_wdc_entrycommentdue');  
    var wdcwithdraw = igdrp_getComboById('ctl06_wdc_entrywithdraw');
    var wdccomment = igdrp_getComboById('ctl06_wdc_entrycomment');
    var txtindustrygroup = document.getElementById('ctl06_txt_entryindustrygroup');
    var txtlitigation = document.getElementById('ctl06_txt_entrylitigation');   
    var txtnotes = document.getElementById('ctl06_txt_entrynotes');
    var wtelink1 = igedit_getById('ctl06_wte_link1');    
    var wteurl1 = igedit_getById('ctl06_wte_url1');
    var wtelink2 = igedit_getById('ctl06_wte_link2');    
    var wteurl2 = igedit_getById('ctl06_wte_url2');
    var wtelink3 = igedit_getById('ctl06_wte_link3');    
    var wteurl3 = igedit_getById('ctl06_wte_url3');
    var wtelink4 = igedit_getById('ctl06_wte_link4');    
    var wteurl4 = igedit_getById('ctl06_wte_url4');
    var wtelink5 = igedit_getById('ctl06_wte_link5');    
    var wteurl5 = igedit_getById('ctl06_wte_url5');
    var lblerror = document.getElementById('ctl06_txt_error_notify');
    
    wctype.setDataValue(""); wctype.setDisplayValue("");
    wcgroup.setDataValue(""); wcgroup.setDisplayValue("");
    wccategory.setDataValue(""); wccategory.setDisplayValue(""); 
    txttitle.value = "";    
    txtcitation.value = "";
    txtreference.value = "";
    txtsummary.value = "";  
    wdcpublished.setValue("");                  
    wdceffective.setValue(""); 
    wdcdistribution.setValue(""); 
    wdccommentdue.setValue(""); 
    wdcwithdraw.setValue(""); 
    wdccomment.setValue("");
    txtindustrygroup.value = "";
    txtlitigation.value = "";
    txtnotes.value = "";
    wtelink1.setValue("");
    wteurl1.setValue("");
    wtelink2.setValue("");
    wteurl2.setValue("");
    wtelink3.setValue("");
    wteurl3.setValue("");
    wtelink4.setValue("");
    wteurl4.setValue("");
    wtelink5.setValue("");
    wteurl5.setValue("");  
    lblerror.value = "";
}

function uwg_BeforeRowTemplateOpen_Additional(gridName, rowId, templateId) { 
    globalCancel = false;
    var row = igtbl_getRowById(rowId);
    var grid = AllMyExs(gridName);
    var wccategory = igcmbo_getComboById(grid + '_ctl00_wc_info_category'); 

    wccategory.setValue(row.getCell(1).getValue()); 
}

function uwg_AfterRowTemplateClose_Additional(gridName, rowId, templateId) { 
    if(event.srcElement.id == 'igtbl_reOkBtn') {
        var row = igtbl_getRowById(rowId);      
        var grid = AllMyExs(gridName); 
        var wccategory = igcmbo_getComboById(grid + '_ctl00_wc_info_category'); 

        row.getCell(1).setValue(getComboValues(wccategory,0));
        row.getCell(2).setValue(getComboValues(wccategory,1));   
        
        row.processUpdateRow(); 
    }     
}

function uwg_BeforeRowTemplateOpen_Categories(gridName, rowId, templateId) { 
    globalCancel = false;
    var row = igtbl_getRowById(rowId);
    var grid = AllMyExs(gridName);
    var wcgroups = igcmbo_getComboById(grid + '_ctl00_wc_code_groups'); 
    
    wcgroups.setValue(row.getCell(1).getValue()); 
}

function uwg_AfterRowTemplateClose_Categories(gridName, rowId, templateId) { 
    if(event.srcElement.id == 'igtbl_reOkBtn') {
        var row = igtbl_getRowById(rowId);      
        var grid = AllMyExs(gridName); 
        var wcgroups = igcmbo_getComboById(grid + '_ctl00_wc_code_groups'); 
		
        row.getCell(1).setValue(getComboValues(wcgroups,0));
        row.getCell(3).setValue(getComboValues(wcgroups,1));   
        row.processUpdateRow();     
    }     
}

function uwg_BeforeRowTemplateOpen_search(gridName, rowId, templateId) { 
    globalCancel = false;
    var row = igtbl_getRowById(rowId);
    var grid = AllMyExs(gridName);
    var wctypestatus = igcmbo_getComboById(grid + '_ctl00_wc_typestatus'); 
    var wcgroupcategory = igcmbo_getComboById(grid + '_ctl00_wc_groupcategory');
    var txtreference = document.getElementById(grid + '_ctl00_txt_reference');
    var txttitle = document.getElementById(grid + '_ctl00_txt_title');                          
    var txtcitation = document.getElementById(grid + '_ctl00_txt_citation');
    var txtsummary = document.getElementById(grid + '_ctl00_txt_summary');                    
    var wdcpublished = igdrp_getComboById(grid + '_ctl00_wdc_published');
    var wdceffective = igdrp_getComboById(grid + '_ctl00_wdc_effective');
    var wdcdistribution = igdrp_getComboById(grid + '_ctl00_wdc_distribution');
    var wdccommentdue = igdrp_getComboById(grid + '_ctl00_wdc_commentdue');  
    var wdcwithdraw = igdrp_getComboById(grid + '_ctl00_wdc_withdraw');
    var wdccomment = igdrp_getComboById(grid + '_ctl00_wdc_comment');
    var txtindustrygroup = document.getElementById(grid + '_ctl00_txt_industrygroup');
    var txtlitigation = document.getElementById(grid + '_ctl00_txt_litigation');   
    var txtnotes = document.getElementById(grid + '_ctl00_txt_notes');
    var cbupdate = document.getElementById('ctl06_uwg_results_ctl00_cb_updateselect');
    var wtelink1 = igedit_getById(grid + '_ctl00_wte_link1');    
    var wteurl1 = igedit_getById(grid + '_ctl00_wte_url1');
    var wtelink2 = igedit_getById(grid + '_ctl00_wte_link2');    
    var wteurl2 = igedit_getById(grid + '_ctl00_wte_url2');
    var wtelink3 = igedit_getById(grid + '_ctl00_wte_link3');    
    var wteurl3 = igedit_getById(grid + '_ctl00_wte_url3');
    var wtelink4 = igedit_getById(grid + '_ctl00_wte_link4');    
    var wteurl4 = igedit_getById(grid + '_ctl00_wte_url4');
    var wtelink5 = igedit_getById(grid + '_ctl00_wte_link5');    
    var wteurl5 = igedit_getById(grid + '_ctl00_wte_url5');     

    wctypestatus.setValue(row.getCell(2).getValue() + ' - ' + row.getCell(21).getValue()); //type_desc - status_desc
    wcgroupcategory.setValue(row.getCell(4).getValue() + ' - ' + row.getCell(6).getValue()); //group_desc - category_desc
    txttitle.value = CheckForNull(row.getCell(7).getValue(), '');               
    txtcitation.value = CheckForNull(row.getCell(8).getValue(), '');
    txtreference.value = CheckForNull(row.getCell(9).getValue(), '');    
    txtsummary.value = CheckForNull(row.getCell(10).getValue(), '');             
    wdcpublished.setValue(CheckForNull(dateFormat(row.getCell(11).getValue()), '')); 
    wdceffective.setValue(CheckForNull(dateFormat(row.getCell(12).getValue()), ''));            
    wdcdistribution.setValue(CheckForNull(dateFormat(row.getCell(13).getValue()), ''));              
    wdccommentdue.setValue(CheckForNull(dateFormat(row.getCell(14).getValue()), '')); 
    wdcwithdraw.setValue(CheckForNull(dateFormat(row.getCell(15).getValue()), ''));             
    wdccomment.setValue(CheckForNull(dateFormat(row.getCell(16).getValue()), ''));
    txtindustrygroup.value = CheckForNull(row.getCell(17).getValue(), ''); 
    txtlitigation.value = CheckForNull(row.getCell(18).getValue(), '');
    txtnotes.value = CheckForNull(row.getCell(19).getValue(), '');
    cbupdate.checked = row.getCell(22).getValue();
    wtelink1.setValue(CheckForNull(row.getCell(23).getValue(), '')); 
    wteurl1.setValue(CheckForNull(row.getCell(24).getValue(), ''));   
    wtelink2.setValue(CheckForNull(row.getCell(25).getValue(), '')); 
    wteurl2.setValue(CheckForNull(row.getCell(26).getValue(), ''));             
    wtelink3.setValue(CheckForNull(row.getCell(27).getValue(), '')); 
    wteurl3.setValue(CheckForNull(row.getCell(28).getValue(), '')); 
    wtelink4.setValue(CheckForNull(row.getCell(29).getValue(), '')); 
    wteurl4.setValue(CheckForNull(row.getCell(30).getValue(), '')); 
    wtelink5.setValue(CheckForNull(row.getCell(31).getValue(), '')); 
    wteurl5.setValue(CheckForNull(row.getCell(32).getValue(), ''));     
}    

function uwg_AfterRowTemplateClose_search(gridName, rowId, save) {
    if(event.srcElement.id == 'igtbl_reOkBtn') {
        var row = igtbl_getRowById(rowId);      
        var grid = AllMyExs(gridName); 
        var wctypestatus = igcmbo_getComboById(grid + '_ctl00_wc_typestatus');         
        var wcgroupcategory = igcmbo_getComboById(grid + '_ctl00_wc_groupcategory');  
        var txttitle = document.getElementById(grid + '_ctl00_txt_title');               
        var txtcitation = document.getElementById(grid + '_ctl00_txt_citation');
        var txtreference = document.getElementById(grid + '_ctl00_txt_reference');
        var txtsummary = document.getElementById(grid + '_ctl00_txt_summary');                    
        var wdcpublished = igdrp_getComboById(grid + '_ctl00_wdc_published');
        var wdceffective = igdrp_getComboById(grid + '_ctl00_wdc_effective');
        var wdcdistribution = igdrp_getComboById(grid + '_ctl00_wdc_distribution');
        var wdccommentdue = igdrp_getComboById(grid + '_ctl00_wdc_commentdue');  
        var wdcwithdraw = igdrp_getComboById(grid + '_ctl00_wdc_withdraw');
        var wdccomment = igdrp_getComboById(grid + '_ctl00_wdc_comment');
        var txtindustrygroup = document.getElementById(grid + '_ctl00_txt_industrygroup');
        var txtlitigation = document.getElementById(grid + '_ctl00_txt_litigation');   
        var txtnotes = document.getElementById(grid + '_ctl00_txt_notes');  
        var cbupdate = document.getElementById('ctl06_uwg_results_ctl00_cb_updateselect');   
        var wtelink1 = igedit_getById(grid + '_ctl00_wte_link1');    
        var wteurl1 = igedit_getById(grid + '_ctl00_wte_url1');
        var wtelink2 = igedit_getById(grid + '_ctl00_wte_link2');    
        var wteurl2 = igedit_getById(grid + '_ctl00_wte_url2');
        var wtelink3 = igedit_getById(grid + '_ctl00_wte_link3');    
        var wteurl3 = igedit_getById(grid + '_ctl00_wte_url3');
        var wtelink4 = igedit_getById(grid + '_ctl00_wte_link4');    
        var wteurl4 = igedit_getById(grid + '_ctl00_wte_url4');
        var wtelink5 = igedit_getById(grid + '_ctl00_wte_link5');    
        var wteurl5 = igedit_getById(grid + '_ctl00_wte_url5');         
                       
        row.getCell(1).setValue(getComboValues(wctypestatus,0)); //type_id
        row.getCell(2).setValue(getComboValues(wctypestatus,2)); //type_description  
        row.getCell(20).setValue(getComboValues(wctypestatus,1)); //status_id
        row.getCell(21).setValue(getComboValues(wctypestatus,3)); //status_description                              
        row.getCell(3).setValue(getComboValues(wcgroupcategory,0)); //group_id
        row.getCell(4).setValue(getComboValues(wcgroupcategory,2)); //group_description              
        row.getCell(5).setValue(getComboValues(wcgroupcategory,1)); //status_id
        row.getCell(6).setValue(getComboValues(wcgroupcategory,3)); //status_description
        row.getCell(7).setValue(txttitle.value); 
        row.getCell(8).setValue(txtcitation.value);                 
        row.getCell(9).setValue(txtreference.value);                                      
        row.getCell(10).setValue(txtsummary.value);             
        row.getCell(11).setValue(wdcpublished.getValue()); 
        row.getCell(12).setValue(wdceffective.getValue());            
        row.getCell(13).setValue(wdcdistribution.getValue());              
        row.getCell(14).setValue(wdccommentdue.getValue()); 
        row.getCell(15).setValue(wdcwithdraw.getValue());             
        row.getCell(16).setValue(wdccomment.getValue());
        row.getCell(17).setValue(txtindustrygroup.value); 
        row.getCell(18).setValue(txtlitigation.value);
        row.getCell(19).setValue(txtnotes.value); 
        row.getCell(22).setValue(cbupdate.checked);
        row.getCell(23).setValue(wtelink1.getValue());
        row.getCell(24).setValue(wteurl1.getValue());
        row.getCell(25).setValue(wtelink2.getValue());
        row.getCell(26).setValue(wteurl2.getValue());
        row.getCell(27).setValue(wtelink3.getValue());
        row.getCell(28).setValue(wteurl3.getValue());
        row.getCell(29).setValue(wtelink4.getValue());
        row.getCell(30).setValue(wteurl4.getValue());
        row.getCell(31).setValue(wtelink5.getValue());
        row.getCell(32).setValue(wteurl5.getValue());   
        
        if (getComboValues(wctypestatus,1) == 77 || getComboValues(wctypestatus,1) == 96 || getComboValues(wctypestatus,1) == 214 || getComboValues(wctypestatus,1) == 216)
			{row.getCell(22).setValue(0);}
        row.processUpdateRow();
    }

} 

function AfterXmlHttpResponseProcessed(gridName){
	igtbl_needPostBack(gridName);
}

function keepComboValues() {
    var wctype = igcmbo_getComboById('ctl06_wc_entrytype');
    var wcgroup = igcmbo_getComboById('ctl06_wc_entrygroup'); 
    var wccategory = igcmbo_getComboById('ctl06_wc_entrycategory');  
    var txttitle = document.getElementById('ctl06_txt_entrytitle');           
    var txtcitation = document.getElementById('ctl06_txt_entrycitation');             
    var txtreference = document.getElementById('ctl06_txt_entryreference');
    var txtsummary = document.getElementById('ctl06_txt_entrysummary');                    
    var wdcpublished = igdrp_getComboById('ctl06_wdc_entrypublished');
    var wdceffective = igdrp_getComboById('ctl06_wdc_entryeffective');
    var wdcdistribution = igdrp_getComboById('ctl06_wdc_entrydistribution');
    var wdccommentdue = igdrp_getComboById('ctl06_wdc_entrycommentdue');  
    var wdcwithdraw = igdrp_getComboById('ctl06_wdc_entrywithdraw');
    var wdccomment = igdrp_getComboById('ctl06_wdc_entrycomment');
    var txtindustrygroup = document.getElementById('ctl06_txt_entryindustrygroup');
    var txtlitigation = document.getElementById('ctl06_txt_entrylitigation');   
    var txtnotes = document.getElementById('ctl06_txt_entrynotes');
    var wtelink1 = igedit_getById('ctl06_wte_link1');    
    var wteurl1 = igedit_getById('ctl06_wte_url1');
    var wtelink2 = igedit_getById('ctl06_wte_link2');    
    var wteurl2 = igedit_getById('ctl06_wte_url2');
    var wtelink3 = igedit_getById('ctl06_wte_link3');    
    var wteurl3 = igedit_getById('ctl06_wte_url3');
    var wtelink4 = igedit_getById('ctl06_wte_link4');    
    var wteurl4 = igedit_getById('ctl06_wte_url4');
    var wtelink5 = igedit_getById('ctl06_wte_link5');    
    var wteurl5 = igedit_getById('ctl06_wte_url5');
    
    wctype.setSelectedIndex = wctype.getSelectedIndex;
    wcgroup.setSelectedIndex = wcgroup.getSelectedIndex;
    wccategory.setSelectedIndex = wccategory.getSelectedIndex;
    txttitle.value = txttitle.value;    
    txtcitation.value = txtcitation.value;
    txtreference.value = txtreference.value;
    txtsummary.value = txtsummary.value;  
    wdcpublished.setValue(wdcpublished.getValue);                  
    wdceffective.setValue(wdceffective.getValue); 
    wdcdistribution.setValue(wdcdistribution.getValue); 
    wdccommentdue.setValue(wdccommentdue.getValue); 
    wdcwithdraw.setValue(wdcwithdraw.getValue); 
    wdccomment.setValue(wdccomment.getValue);
    txtindustrygroup.value = txtindustrygroup.value;
    txtlitigation.value = txtlitigation.value;
    txtnotes.value = txtnotes.value;
    rbupdate.checked = rbupdate.checked;
    wtelink1.setValue(wtelink1.getValue);
    wteurl1.setValue(wteurl1.getValue);
    wtelink2.setValue(wtelink2.getValue);
    wteurl2.setValue(wteurl2.getValue);
    wtelink3.setValue(wtelink3.getValue);
    wteurl3.setValue(wteurl3.getValue);
    wtelink4.setValue(wtelink4.getValue);
    wteurl4.setValue(wteurl4.getValue);
    wtelink5.setValue(wtelink5.getValue);
    wteurl5.setValue(wteurl5.getValue);  
}


function copyUploadFile() {
    var fileupload = document.getElementById('ctl06_file_upload'); 
    var filename = slashReplace(fileupload.value);
    var myObject = new ActiveXObject("Scripting.FileSystemObject");
    myObject.CopyFile(filename, "\\\\lkwsqlenttest2\\MRV_uploads\\upload_items.txt");
    //myObject.CopyFile(filename, "\\\\lkwentsql1\\MRV_uploads\\upload_items.txt");
}

function slashReplace(filename)  {            
    filename = filename.replace(/\\/g, "\\\\");
    if(filename.indexOf(/\\/) != -1) {
        slashReplace();            
    }
    return filename;
}

function AddNewRow(gridName, rowId) {
    var row = igtbl_getElementById(rowId);
    igtbl_scrollToView(gridName,row);
}

function hidediv(divname) { 
    if (document.getElementById(divname).style.visibility == "visible") { 
        document.getElementById(divname).style.visibility = "hidden"; 
    }
} 
    
function showdiv(divname) { 
    if (document.getElementById(divname).style.visibility == "hidden") {
        document.getElementById(divname).style.visibility = "visible"; 
    }  
} 
    
function openEmployeeWindow() {
    var nonemployee = window.open('employeeLookup.aspx','null','toolbar=no, menubar=no, scrollbars=no, resizable=no, location=no, directories=no, status=no, height=300px, width=430px');
}
    





