﻿<%@ Page Language="VB" AutoEventWireup="true" EnableViewState="False" CodeFile="index.aspx.vb"
    Inherits="_Default" StylesheetTheme="Themes" ValidateRequest="false" %>

<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<%@ Register Assembly="Infragistics2.WebUI.WebDateChooser.v9.1, Version=9.1.20091.1015, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.WebSchedule" TagPrefix="igsch" %>
<%@ Register Assembly="Infragistics2.WebUI.Misc.v9.1, Version=9.1.20091.1015, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.Misc" TagPrefix="igmisc" %>
<%@ Register Assembly="Infragistics2.WebUI.UltraWebGrid.v9.1, Version=9.1.20091.1015, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.UltraWebGrid" TagPrefix="igtbl" %>
<%@ Register TagPrefix="ig" Namespace="Infragistics.Web.UI.GridControls" Assembly="Infragistics2.Web.v9.1, Version=9.1.20091.1015, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MRV 2.0 - User Entry</title>
    <link rel="stylesheet" type="text/css" href="~/App_Themes/Themes/MRV.css" />

    <script type="text/javascript">
        var globalCancel;
        var globalGrid;
        var globalVar; 
        var globalOps;       
       
        function uwg_AfterXmlHttpResponse () {
            var pend = ig$('warp_pending'); 
            var comp = ig$('warp_completed');
            if(pend) pend.refresh();
            if(comp) comp.refresh();             
        }          
        
        function dateFormat(date) {  
            if (date != null) {
                return isNaN (date) ? 'Bad Date Format' : [date.getMonth() > 8 ? date.getMonth() + 1 : '0' + (date.getMonth() + 1),date.getDate() > 9 ? date.getDate() : '0' + date.getDate(), date.getFullYear()].join('/');
            }
        }
        
        function CheckForNull(value, return_value) {
            if (value != null) { 
				return value;
			}
            else { 
				return return_value;
			}          
        }
        
        function uwg_BeforeRowTemplateClose(grid, row, save) {
            if (!save && !globalCancel) { return true; }
        }    
        
        function uwg_BeforeRowTemplateOpen(gridName, rowId, templateId) { 
            globalCancel = false;
            if (gridName == 'uwgPending') { globalVar = 1; } else { globalVar = 0; }
            var row = igtbl_getRowById(rowId);                        
            var txtgroup = document.getElementById(gridName + '_ctl00_txt_ret_group');
            var txtcategory = document.getElementById(gridName + '_ctl00_txt_ret_category');
            var txttitle = document.getElementById(gridName + '_ctl00_txt_ret_title');
            var txtcitation = document.getElementById(gridName + '_ctl00_txt_ret_citation');            
            var txtreference = document.getElementById(gridName + '_ctl00_txt_ret_reference');
            var txtpublished = document.getElementById(gridName + '_ctl00_txt_ret_published_date');
            var txteffective = document.getElementById(gridName + '_ctl00_txt_ret_effective_date');
            var txtsummary = document.getElementById(gridName + '_ctl00_txt_ret_summary');     
            var chbxApplicable = document.getElementById(gridName + '_ctl00_inp_applicable');
            var ccReviewed = document.getElementById(gridName + '_ctl00_wdc_reviewed_input');           
            var ccCompleted = document.getElementById(gridName + '_ctl00_wdc_compliance_input');           
            var txtResponse = document.getElementById(gridName + '_ctl00_inp_response');                   
            var txtHiddenPerson = document.getElementById(gridName + '_ctl00_hidden_person');                      
            var txtPerson = document.getElementById(gridName + '_ctl00_inp_person'); 
            var rbOpsYes = document.getElementById(gridName + '_ctl00_rb_ops_yes'); 
            var rbOpsNo = document.getElementById(gridName + '_ctl00_rb_ops_no'); 
            var ccOpsDate = document.getElementById(gridName + '_ctl00_wdc_ops_date_input');
            var hyplink1 = document.getElementById(gridName + '_ctl00_hyp_link1');
            var hyplink2 = document.getElementById(gridName + '_ctl00_hyp_link2');
            var hyplink3 = document.getElementById(gridName + '_ctl00_hyp_link3');
            var hyplink4 = document.getElementById(gridName + '_ctl00_hyp_link4');
            var hyplink5 = document.getElementById(gridName + '_ctl00_hyp_link5');
                        
            ccReviewed.value = CheckForNull(dateFormat(row.getCell(35).getValue()), '');
            ccCompleted.value = CheckForNull(dateFormat(row.getCell(2).getValue()), '');              
            txtResponse.value = CheckForNull(row.getCell(3).getValue(), ''); 
            txtHiddenPerson.value = CheckForNull(row.getCell(4).getValue(), '0'); 
            txtgroup.value = CheckForNull(row.getCell(8).getValue(), '');
            txtcategory.value = CheckForNull(row.getCell(10).getValue(), '');
            txttitle.value = CheckForNull(row.getCell(11).getValue(), '');
            txtcitation.value = CheckForNull(row.getCell(12).getValue(), '');             
            txtreference.value = CheckForNull(row.getCell(13).getValue(), '');
            txtsummary.value = CheckForNull(row.getCell(14).getValue(), '');             
            txtpublished.value = CheckForNull(dateFormat(row.getCell(15).getValue()), ''); 
            txteffective.value = CheckForNull(dateFormat(row.getCell(16).getValue()), '');          
            chbxApplicable.checked = row.getCell(17).getValue();             
            txtPerson.value = CheckForNull(row.getCell(18).getValue(), 'Not Assigned');
            
            alert(row.getCell(36).getValue());
            if(row.getCell(36).getValue()==true) {rbOpsYes.checked=true;}
            else if(row.getCell(36).getValue()==false) {rbOpsNo.checked=true;}
            ccOpsDate.value = CheckForNull(dateFormat(row.getCell(37).getValue()), '');
            
            if (globalVar == 1) {var linksdiv = document.getElementById( "div_links_p" );}
            if (globalVar == 0) {var linksdiv = document.getElementById( "div_links_c" );}
            
            var inputArr = linksdiv.getElementsByTagName( "a" );
            var column_num = 22;
            for (var i = 0; i < inputArr.length; i++) {
                if (row.getCell(column_num).getValue() == null && !(row.getCell(column_num + 1).getValue() == null)) {
                    inputArr[i].innerHTML = row.getCell(column_num + 1).getValue();
                    inputArr[i].href = row.getCell(column_num + 1).getValue();
                }
                else if (!(row.getCell(column_num).getValue() == null) && !(row.getCell(column_num + 1).getValue() == null)) {
                    inputArr[i].innerHTML = row.getCell(column_num).getValue();
                    inputArr[i].href = row.getCell(column_num + 1).getValue();  
                }
                else { 
                    inputArr[i].innerHTML = '';
                    inputArr[i].href = ''; 
                }                              
                column_num = column_num + 2;
            }  
        }   
        
        function uwg_AfterRowTemplateClose(gridName, rowId, save) {    
            if(event.srcElement.id == 'igtbl_reOkBtn' && globalOps==0)  {
                var row = igtbl_getRowById(rowId);       
                
                var ccReviewed = document.getElementById(gridName + '_ctl00_wdc_reviewed_input');                              
                var ccCompleted = document.getElementById(gridName + '_ctl00_wdc_compliance_input');               
                var chbxApplicable = document.getElementById(gridName + '_ctl00_inp_applicable');
                var txtResponse = document.getElementById(gridName + '_ctl00_inp_response');
                var txtPerson = document.getElementById(gridName + '_ctl00_inp_person');                
                var txtHiddenPerson = document.getElementById(gridName + '_ctl00_hidden_person'); 
                var rbOpsYes = document.getElementById(gridName + '_ctl00_rb_ops_yes'); 
                var rbOpsNo = document.getElementById(gridName + '_ctl00_rb_ops_no');
                var ccOpsDate = document.getElementById(gridName + '_ctl00_wdc_ops_date_input');
                
                row.getCell(17).setValue(chbxApplicable.checked);
                if(rbOpsYes.checked==true) {
                    row.getCell(36).setValue(true);     
                }
                else if(rbOpsNo.checked==true) {
                    row.getCell(36).setValue(false);                
                }
                else {row.getCell(36).setValue(null);}

                if (ccOpsDate.value == '') { row.getCell(37).setValue(null); }
                else { row.getCell(37).setValue(ccOpsDate.value); }
                if (ccReviewed.value == '') { row.getCell(35).setValue(null); }
                else { row.getCell(35).setValue(ccReviewed.value); }               
                if (ccCompleted.value == '') { row.getCell(2).setValue(null); }
                else { row.getCell(2).setValue(ccCompleted.value); }
                if (txtResponse.value == '') { row.getCell(3).setValue(null); }
                else { row.getCell(3).setValue(txtResponse.value); }  
              
              
                if (( txtPerson.value == '') || (txtPerson.value == 'Not Assigned' )) {                     
                    row.getCell(4).setValue(null); 
                    row.getCell(18).setValue(null);
                }
                else { 
                    row.getCell(4).setValue(txtHiddenPerson.value);
                    row.getCell(18).setValue(txtPerson.value);                     
                }                  
                
                    row.processUpdateRow();
                    globalVar = 0;  
            }
            else if(event.srcElement.id == 'igtbl_reOkBtn' && globalOps==1) {
                alert('Record was NOT saved');
            }
        }    
        
        function validateOpsDate(grid) {
            globalOps = 0;
//            var rbOpsYes = document.getElementById(grid + '_ctl00_rb_ops_yes'); 
//            var wdcOpsDate = document.getElementById(grid + '_ctl00_wdc_ops_date_input'); 
//          
//            if(rbOpsYes.checked==true && wdcOpsDate.value == '') {
//                alert('Must enter the date of OpsInfo implementation. Record is not saved.');
//                globalOps = 1;  
//                  
//            }
//            else {
//                return;
//            }
        }
       
        function openWindow(val) {
            globalGrid = val;
            window.open('employeeLookup.aspx','null','toolbar=no, menubar=no, scrollbars=no, resizable=no, location=no, directories=no, status=no, height=300px, width=430px');
        }
            
        function GetValueFromChild(val_empID, val_empName) {
            if (globalGrid == 1) {
                var txtHiddenPerson = document.getElementById('uwgPending_ctl00_hidden_person');
                var txtPerson = document.getElementById('uwgPending_ctl00_inp_person');    
            }
            else {
                var txtHiddenPerson = document.getElementById('uwgCompletedNA_ctl00_hidden_person');
                var txtPerson = document.getElementById('uwgCompletedNA_ctl00_inp_person');    
            }                                         
            txtHiddenPerson.value = val_empID;
            txtPerson.value = val_empName;
            globalGrid = 0;
        }
        
        function changeProgressIndicator(oPanel) {
            var ppi=oPanel.getProgressIndicator();
            ppi.setRelativeContainer(document.body);
            ppi.setImageUrl('Images/ProcessingBar.gif'); 
            ppi.setLocation({x:230, y:137});                         
        }
        
        function uwg_InitializeLayout(gridName){
            var grid=igtbl_getGridById(gridName);
            var pi=grid.getProgressIndicator(); 
            pi.setRelativeContainer(document.body);
            pi.setImageUrl('Images/ProcessingBar.gif');       
            pi.setLocation({x:230, y:137});          
            
        }   
  
        function wdc_InitializeDateChooser(oDateChooser){
            var d = new Date();
            var curr_date = d.getDate();
            var curr_month = d.getMonth();
            var curr_year = d.getFullYear();
            oDateChooser.setMaxDate(new Date(curr_year,curr_month,curr_date, 0,0,0));
        }  
        
        function wdc_CalendarDateClicked(oCalendar, oDate, oEvent){
	        var d = new Date();
            var curr_date = d.getDate();
            var curr_month = d.getMonth();
            var curr_year = d.getFullYear();
            if (oDate > new Date(curr_year,curr_month,curr_date, 0,0,0)) {
                alert("Invalid! Cannot enter a future date.");
            }
        }
        
        function unselectRadioButtons (grid) {
            var rbOpsYes = document.getElementById(grid + '_ctl00_rb_ops_yes'); 
            var rbOpsNo = document.getElementById(grid + '_ctl00_rb_ops_no'); 
           
            rbOpsYes.checked=false;
            rbOpsNo.checked=false;        
        }       
        
        function BU_Change() {
            var ddl = document.getElementById('ddl_BU');
            var selectValue = ddl.options[ddl.selectedIndex].value;
            
            var vis = (selectValue == '') ? "none" : "block";
            document.getElementById('div_uploadbuttons').style.display = vis;
        }
        
        function windowOpener(windowHeight, windowWidth, windowName, windowUri)
            {
                var centerWidth = (window.screen.width - windowWidth) / 2;
                var centerHeight = (window.screen.height - windowHeight) / 2;

                newWindow = window.open(windowUri, windowName, 'toolbar=no, menubar=no, scrollbars=no, location=no, resizable=no,directories=no, status=yes,width=' + windowWidth + 
                    ',height=' + windowHeight + 
                    ',left=' + centerWidth + 
                    ',top=' + centerHeight);

                newWindow.focus();
                return newWindow.name;
            }

        
        function openUploadWindow() {
            windowOpener(300,680,'null','index_upload.aspx');
            //window.open('index_upload.aspx','null','toolbar=no, menubar=no, scrollbars=no, resizable=no, location=no, directories=no, status=no, height=300px, width=680px');
        }
        
        function hideDiv(){
            document.getElementById('div_uploadbuttons').style.display = "none";
        }
        
    </script>

</head>
<body onload="javascript:hideDiv()">
    <form id="form1" runat="server">
        <table style="height: 82px; width: 100%">
            <tr>
                <td align="center">
                    <div style="background: url(Images/MRV-2_middle.jpg) repeat-x 0px 0px transparent;
                        height: 82px; z-index: 1;">
                        <img src="Images/MRV-2_left.jpg" alt="image" height="80px" style="float: left; z-index: 3;" />
                        <img src="Images/MRV-2_right.jpg" alt="image" height="80px" style="float: right;
                            z-index: 2;" />
                    </div>
                </td>
            </tr>
        </table>
        <table width="100%">
            <tr align="right">
                <td align="right" style="width: 90%">
                    <asp:LinkButton ID="hyp_admin" runat="server" Text="Click here to go to the Admin page"
                        Visible="false" PostBackUrl="~/admin.aspx" />
                </td>
            </tr>
        </table>
        <table width="100%" style="margin-left: 3%; margin-right: 3%">
            <tr>
                <td>
                    <img src="Images/choose.jpg" alt="image" />
                </td>
            </tr>
        </table>
        <table width="860px" style="margin-left: 3%; margin-right: 3%">
            <tr>
                <td style="width: 200px">
                    <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true" />
                    <asp:DropDownList ID="ddl_BU" runat="server" AutoPostBack="true" DataSourceID="sql_BU"
                        DataTextField="code_descr" DataValueField="code_id">
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <table width="860px" style="margin-left: 3%; margin-right: 3%">
            <tr>
                <td style="height: 25px; width: 200px">
                    <asp:Label ID="lbl_sort" Font-Size="xx-small" Font-Bold="true" runat="server" Text="To sort the grid, click on a column header." />
                </td>
                <td style="width: 380px">
                </td>
                <td style="height: 25px" valign="middle">
                    <%--<igmisc:WebAsyncRefreshPanel ID="warp_upload" runat="server">--%>
                    <div id="div_uploadbuttons">
                        <table>
                            <tr>
                                <td style="width: 150px" valign="middle">
                                    <input type="button" id="btn_download" runat="server" style="width: 150px; font-size: 9pt;"
                                        value="Create Upload Template" />
                                </td>
                                <td style="width: 100px" valign="middle">
                                    <input id="btn_upload" runat="server" onclick="javascript:openUploadWindow();" style="width: 100px;
                                        font-size: 9pt;" type="button" value="Upload" />
                                </td>
                            </tr>
                        </table>
                    </div>
                    <%--</igmisc:WebAsyncRefreshPanel>--%>
                </td>
            </tr>
        </table>
        <table width="100%" style="margin-left: 3%; margin-right: 3%">
            <tr>
                <td>
                    <img src="Images/newPending.jpg" alt="image" />
                    <igmisc:WebAsyncRefreshPanel ID="warp_pending" runat="server" Height="100%" TriggerPostBackIDs="uwgPending"
                        Width="100%" LinkedRefreshControlID="warp_completed" TriggerControlIDs="ddl_BU"
                        InitializePanel="changeProgressIndicator">
                        <igtbl:UltraWebGrid ID="uwgPending" runat="server" Browser="Xml" DataSourceID="sds_input_p"
                            CaptionAlign="Left" DataMember="DefaultView" EnableAppStyling="True" StyleSetName="Nautilus"
                            EnableTheming="False">
                            <Bands>
                                <igtbl:UltraGridBand AllowUpdate="RowTemplateOnly" CellClickAction="RowSelect" ColFootersVisible="No"
                                    GroupByColumnsHidden="No" GroupByRowDescriptionMask="[value] ([count])" Indentation="10"
                                    RowSizing="Fixed" Expandable="Yes">
                                    <RowStyle VerticalAlign="Top" />
                                    <GroupByRowStyle TextOverflow="Ellipsis" />
                                    <Columns>
                                        <igtbl:UltraGridColumn BaseColumnName="input_id" DataType="System.Int32" Hidden="True"
                                            IsBound="True" Key="input_id">
                                            <HeaderStyle HorizontalAlign="Center" />
                                            <CellStyle HorizontalAlign="Center">
                                            </CellStyle>
                                            <Header Caption="input_id">
                                            </Header>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="business_unit" Hidden="True" IsBound="True"
                                            Key="business_unit">
                                            <Header Caption="business_unit">
                                                <RowLayoutColumnInfo OriginX="1" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="1" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_compliance_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="input_compliance_date">
                                            <Header Caption="input_compliance_date">
                                                <RowLayoutColumnInfo OriginX="2" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="2" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_response" Hidden="True" IsBound="True"
                                            Key="input_response">
                                            <Header Caption="input_response">
                                                <RowLayoutColumnInfo OriginX="3" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="3" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_person_id" Hidden="True" IsBound="True"
                                            Key="input_person_id">
                                            <Header Caption="input_person_id">
                                                <RowLayoutColumnInfo OriginX="4" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="4" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_status_id" DataType="System.Int32" Hidden="True"
                                            IsBound="True" Key="input_status_id">
                                            <Header Caption="input_status_id">
                                                <RowLayoutColumnInfo OriginX="5" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="5" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_status" Hidden="True" IsBound="True"
                                            Key="input_status">
                                            <Header Caption="input_status">
                                                <RowLayoutColumnInfo OriginX="6" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="6" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_group_id" DataType="System.Int32" Hidden="True"
                                            IsBound="True" Key="item_group_id">
                                            <Header Caption="item_group_id">
                                                <RowLayoutColumnInfo OriginX="7" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="7" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_group_desc" IsBound="True" Key="item_group_desc">
                                            <Header Caption="Group">
                                                <RowLayoutColumnInfo OriginX="8" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="8" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_category_id" DataType="System.Int32"
                                            Hidden="True" IsBound="True" Key="item_category_id">
                                            <Header Caption="item_category_id">
                                                <RowLayoutColumnInfo OriginX="9" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="9" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_category_desc" IsBound="True" Key="item_category_desc">
                                            <Header Caption="Category">
                                                <RowLayoutColumnInfo OriginX="10" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="10" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_title" IsBound="True" Key="item_title">
                                            <Header Caption="Title">
                                                <RowLayoutColumnInfo OriginX="11" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="11" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_citation" IsBound="True" Key="item_citation">
                                            <Header Caption="Citation">
                                                <RowLayoutColumnInfo OriginX="12" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="12" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_reference" Hidden="True" IsBound="True"
                                            Key="item_reference">
                                            <Header Caption="item_reference">
                                                <RowLayoutColumnInfo OriginX="13" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="13" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_summary" Hidden="True" IsBound="True"
                                            Key="item_summary">
                                            <Header Caption="item_summary">
                                                <RowLayoutColumnInfo OriginX="14" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="14" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_published_date" DataType="System.DateTime"
                                            Format="MM/dd/yyyy" IsBound="True" Key="item_published_date">
                                            <Header Caption="Published Date">
                                                <RowLayoutColumnInfo OriginX="15" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="15" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_effective_date" DataType="System.DateTime"
                                            Format="MM/dd/yyyy" IsBound="True" Key="item_effective_date">
                                            <Header Caption="Effective Date">
                                                <RowLayoutColumnInfo OriginX="16" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="16" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_applicable" DataType="System.Boolean"
                                            Hidden="True" IsBound="True" Key="input_applicable" Type="CheckBox">
                                            <Header Caption="input_applicable">
                                                <RowLayoutColumnInfo OriginX="17" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="17" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_person" Hidden="True" IsBound="True"
                                            Key="input_person">
                                            <Header Caption="Responsible Person">
                                                <RowLayoutColumnInfo OriginX="18" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="18" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_distribution_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="item_distribution_date">
                                            <Header Caption="item_distribution_date">
                                                <RowLayoutColumnInfo OriginX="19" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="19" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_comment_due_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="item_comment_due_date">
                                            <Header Caption="item_comment_due_date">
                                                <RowLayoutColumnInfo OriginX="20" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="20" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_status" Hidden="True" IsBound="True"
                                            Key="item_status">
                                            <Header Caption="item_status">
                                                <RowLayoutColumnInfo OriginX="21" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="21" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link1" Hidden="True" IsBound="True" Key="item_link1">
                                            <Header Caption="item_link1">
                                                <RowLayoutColumnInfo OriginX="22" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="22" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url1" Hidden="True" IsBound="True" Key="item_url1">
                                            <Header Caption="item_url1">
                                                <RowLayoutColumnInfo OriginX="23" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="23" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link2" Hidden="True" IsBound="True" Key="item_link2">
                                            <Header Caption="item_link2">
                                                <RowLayoutColumnInfo OriginX="24" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="24" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url2" Hidden="True" IsBound="True" Key="item_url2">
                                            <Header Caption="item_url2">
                                                <RowLayoutColumnInfo OriginX="25" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="25" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link3" Hidden="True" IsBound="True" Key="item_link3">
                                            <Header Caption="item_link3">
                                                <RowLayoutColumnInfo OriginX="26" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="26" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url3" Hidden="True" IsBound="True" Key="item_url3">
                                            <Header Caption="item_url3">
                                                <RowLayoutColumnInfo OriginX="27" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="27" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link4" Hidden="True" IsBound="True" Key="item_link4">
                                            <Header Caption="item_link4">
                                                <RowLayoutColumnInfo OriginX="28" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="28" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url4" Hidden="True" IsBound="True" Key="item_url4">
                                            <Header Caption="item_url4">
                                                <RowLayoutColumnInfo OriginX="29" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="29" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link5" Hidden="True" IsBound="True" Key="item_link5">
                                            <Header Caption="item_link5">
                                                <RowLayoutColumnInfo OriginX="30" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="30" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url5" Hidden="True" IsBound="True" Key="item_url5">
                                            <Header Caption="item_url5">
                                                <RowLayoutColumnInfo OriginX="31" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="31" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="user_id" Hidden="True" IsBound="True" Key="user_id">
                                            <Header Caption="user_id">
                                                <RowLayoutColumnInfo OriginX="32" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="32" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="group_order" Hidden="True" IsBound="True"
                                            Key="group_order">
                                            <Header Caption="group_order">
                                                <RowLayoutColumnInfo OriginX="33" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="33" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="category_order" Hidden="True" IsBound="True"
                                            Key="category_order">
                                            <Header Caption="category_order">
                                                <RowLayoutColumnInfo OriginX="34" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="34" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_reviewed_date" DataType="System.DateTime"
                                            IsBound="True" Key="input_reviewed_date" Format="MM/dd/yyyy" >
                                            <Header Caption="Reviewed Date">
                                                <RowLayoutColumnInfo OriginX="35" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="35" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:TemplatedColumn BaseColumnName="input_ops" IsBound="True" Key="input_ops">
                                            <CellStyle HorizontalAlign="center"></CellStyle>
                                            <HeaderStyle HorizontalAlign="center" />
                                            <CellTemplate>
                                                <asp:Label ID="lbl_ops" Width="40px" runat="server" Text='<%# GetValue(Eval("input_ops").ToString)%>' ></asp:Label>                                               
                                            </CellTemplate>
                                            <Header Caption="OpsInfo?">
                                                <RowLayoutColumnInfo OriginX="36" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="36" />
                                            </Footer>
                                        </igtbl:TemplatedColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_ops_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="input_ops_date">
                                            <Header Caption="input_ops_date">
                                                <RowLayoutColumnInfo OriginX="37" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="37" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                    </Columns>
                                    <RowEditTemplate>
                                        <div style="overflow: scrollbar">
                                            <table style="font-family: Arial; font-size: 10pt;">
                                                <tr valign="top">
                                                    <td style="width: 820px; height: 410px;">
                                                        <table>
                                                            <tr>
                                                                <td align="left" style="width: 690">
                                                                    <asp:Label ID="lbl_editheader" runat="server" SkinID="skinBoldLabel" Text="Update the necessary information for this regulation."
                                                                        Width="690"></asp:Label>
                                                                    &nbsp;
                                                                </td>
                                                                <td align="left" style="width: 60">
                                                                    <input id="igtbl_reOkBtn" onclick="validateOpsDate('uwgpending'); igtbl_gRowEditButtonClick(event);"
                                                                        style="width: 50" type="button" value="Submit" />
                                                                </td>
                                                                <td style="width: 10">
                                                                </td>
                                                                <td align="left" style="width: 60">
                                                                    <input id="igtbl_reCancelBtn" onclick="globalCancel=true; igtbl_gRowEditButtonClick(event);"
                                                                        style="width: 50" type="button" value="Close" />
                                                                </td>
                                                                <td>
                                                                    <asp:HiddenField ID="hdn_itemid" runat="server" Value="" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <hr style="color: black;" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table>
                                                            <tr valign="top">
                                                                <td style="width: 408px" valign="top">
                                                                    <table>
                                                                        <tr>
                                                                            <td align="right" style="width: 70">
                                                                                <asp:Label ID="lbl_ret_group" runat="server" SkinID="skinBoldLabel" Text="Group: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 30">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_group" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70">
                                                                                <asp:Label ID="lbl_ret_category" runat="server" SkinID="skinBoldLabel" Text="Category: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_category" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_title" runat="server" SkinID="skinBoldLabel" Text="Title: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_title" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_citation" runat="server" SkinID="skinBoldLabel" Text="Citation: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_citation" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_reference" runat="server" SkinID="skinBoldLabel" Text="Federal Register: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_reference" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_published_date" runat="server" SkinID="skinBoldLabel" Text="Published Date: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_published_date" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_effective_date" runat="server" SkinID="skinBoldLabel" Text="Effective Date: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_effective_date" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <table>
                                                                        <tr>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:Label ID="lbl_ret_summary" runat="server" SkinID="skinBoldLabel" Text="Summary: "></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_summary" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" Rows="8" SkinID="skinTxtBxRO" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="400">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td style="width: 10">
                                                                </td>
                                                                <td style="width: 390" valign="top">
                                                                    <table>
                                                                        <tr>
                                                                            <td align="right" style="width: 160">
                                                                                <asp:Label ID="lbl_applicable" runat="server" SkinID="skinBoldLabel" Text="Is Applicable?"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 230px">
                                                                                <asp:CheckBox ID="inp_applicable" runat="server" />
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 160">
                                                                                <asp:Label ID="lbl_person" runat="server" SkinID="skinBoldLabel" Text="Responsible Person"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td style="width: 230px">
                                                                                <asp:HiddenField ID="hidden_person" runat="server" />
                                                                                <asp:TextBox ID="inp_person" runat="server" ReadOnly="true" Width="140px" ToolTip="This is the person responsible for the verification of the rule applicability or the person responsible for the implementation of an action plan associated with an applicable rule. This field must be completed as part of the verification process and cannot be left blank."></asp:TextBox>
                                                                                <button id="btn_person" runat="server" onclick="javascript:openWindow(1);" type="button">
                                                                                    Search</button>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 160" valign="top">
                                                                                <asp:Label ID="lbl_reviewed" runat="server" SkinID="skinBoldLabel" Text="Date Reviewed:"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td valign="middle">
                                                                                <igsch:WebDateChooser ID="wdc_reviewed" runat="server" AllowNull="true" Format="Short"
                                                                                    HideDropDowns="True" NullDateLabel="" NullValueRepresentation="Null" Value=""
                                                                                    Width="100px" ToolTip="This is the date the regulation was reviewed by the Business Unit and applicability was determined. This date must be entered as part of the verification process and cannot be left blank.">
                                                                                    <CalendarLayout CellPadding="0" Culture="English (United States)">
                                                                                    </CalendarLayout>
                                                                                    <ClientSideEvents InitializeDateChooser="wdc_InitializeDateChooser" CalendarDateClicked="wdc_CalendarDateClicked" />
                                                                                </igsch:WebDateChooser>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 160" valign="top">
                                                                                <asp:Label ID="lbl_compliance" runat="server" SkinID="skinBoldLabel" Text="BU Compliance Date:"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td valign="middle">
                                                                                <igsch:WebDateChooser ID="wdc_compliance" runat="server" AllowNull="true" Format="Short"
                                                                                    HideDropDowns="True" NullDateLabel="" NullValueRepresentation="DBNull" Value=""
                                                                                    Width="100px" ToolTip="This is the date the Business Unit determines they are in compliance with an applicable regulation. The date could coincide directly with compliance dates outlined in the regulation or the date could be earlier if the Business Unit demonstrates compliance with the requirements in the rule prior to regulatory deadlines. The compliance date only needs to be filled in for applicable regulations.">
                                                                                    <CalendarLayout CellPadding="0">
                                                                                    </CalendarLayout>
                                                                                    <ClientSideEvents InitializeDateChooser="wdc_InitializeDateChooser" CalendarDateClicked="wdc_CalendarDateClicked" />
                                                                                </igsch:WebDateChooser>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <table>
                                                                                    <tr>
                                                                                        <td valign="middle">
                                                                                            <asp:Label ID="lbl_ops" runat="server" SkinID="skinBoldLabel" Text="OpsInfo change required?"></asp:Label>
                                                                                        </td>
                                                                                        <td style="width: 10px" valign="middle">
                                                                                        </td>
                                                                                        <td valign="middle" Title="If the rule is applicable to facilities in your Business Unit, have appropriate updates/changes/modifications been made to OpsInfo for compliance tracking with the applicable portions of the regulation?">
                                                                                            Yes<input type="radio" runat="server" id="rb_ops_yes" name="ops" style="vertical-align: middle" />
                                                                                            No<input type="radio" runat="server" id="rb_ops_no" name="ops" style="vertical-align: middle" />
                                                                                            <input type="button" runat="server" id="btn_ops_unselect" value="Unselect" onclick="unselectRadioButtons('uwgpending');"
                                                                                                style="width: 60px; font-size: smaller" />
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                                <table>
                                                                                    <tr>
                                                                                        <td style="width: 20px">
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:Label ID="lbl_ops_date" runat="server" SkinID="skinBoldLabel" Text="If Yes, date is enabled:"></asp:Label>
                                                                                        </td>
                                                                                        <td style="width: 10px">
                                                                                        </td>
                                                                                        <td>
                                                                                            <igsch:WebDateChooser ID="wdc_ops_date" runat="server" AllowNull="true" Format="Short"
                                                                                                HideDropDowns="True" NullDateLabel="" NullValueRepresentation="DBNull" ToolTip="This is the date OpsInfo has been updated/changed/modified to incorporate compliance tracking action items."
                                                                                                Value="" Width="100px">
                                                                                                <CalendarLayout CellPadding="0">
                                                                                                </CalendarLayout>
                                                                                                <ClientSideEvents InitializeDateChooser="wdc_InitializeDateChooser" CalendarDateClicked="wdc_CalendarDateClicked" />
                                                                                            </igsch:WebDateChooser>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <table>
                                                                        <tr>
                                                                            <td align="left" style="width: 140">
                                                                                <asp:Label ID="lbl_response" runat="server" SkinID="skinBoldLabel" Text="Response: "></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="left" style="width: 380">
                                                                                <asp:TextBox ID="inp_response" runat="server" Rows="6" SkinID="skinTxtBx" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="380" ToolTip="Provide a description of the Business Units action plan or status of the regulatory verification process."></asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <table>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <asp:Panel ID="pnl_links" runat="server" GroupingText="Links" Width="100%">
                                                                                    <div id="div_links_p">
                                                                                        <table width="100%">
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px; height: 10px;">
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link1" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link2" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link3" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link4" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link5" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </div>
                                                                                </asp:Panel>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </RowEditTemplate>
                                    <RowTemplateStyle BackColor="White" BorderColor="Black" BorderStyle="Ridge">
                                        <BorderDetails WidthBottom="3px" WidthLeft="3px" WidthRight="3px" WidthTop="3px" />
                                    </RowTemplateStyle>
                                    <FixedCellStyle VerticalAlign="Top" Wrap="True">
                                    </FixedCellStyle>
                                    <AddNewRow View="NotSet" Visible="NotSet">
                                    </AddNewRow>
                                </igtbl:UltraGridBand>
                            </Bands>
                            <DisplayLayout AllowUpdateDefault="Yes" BorderCollapseDefault="Separate" Name="uwgPending"
                                SelectTypeRowDefault="Single" Version="3.00" LoadOnDemand="Xml" CellClickActionDefault="RowSelect"
                                GroupByRowDescriptionMaskDefault="[value] ([count])" IndentationDefault="10"
                                MergeStyles="False" AllowRowNumberingDefault="ByDataIsland" EnableClientSideRenumbering="True"
                                HeaderClickActionDefault="SortMulti" TableLayout="Fixed" EnableInternalRowsManagement="True"
                                AllowSortingDefault="Yes" GroupByColumnsHiddenDefault="No" ViewType="Hierarchical"
                                RowsRange="-1">
                                <FrameStyle BackColor="Transparent" BorderStyle="None" BorderWidth="1px" Font-Names="Verdana"
                                    Font-Size="8pt" />
                                <ClientSideEvents BeforeRowTemplateOpenHandler="uwg_BeforeRowTemplateOpen" BeforeRowTemplateCloseHandler="uwg_BeforeRowTemplateClose"
                                    AfterRowTemplateCloseHandler="uwg_AfterRowTemplateClose" AfterXmlHttpResponseProcessed="uwg_AfterXmlHttpResponse"
                                    InitializeLayoutHandler="uwg_InitializeLayout"></ClientSideEvents>
                                <EditCellStyleDefault BorderStyle="None" BorderWidth="0px" />
                                <HeaderStyleDefault BackColor="White" BorderStyle="Solid" Font-Bold="True" ForeColor="DarkGray"
                                    Height="15px" HorizontalAlign="Left" Wrap="True">
                                    <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px" />
                                </HeaderStyleDefault>
                                <RowStyleDefault BackColor="Window" BorderColor="#A8A7BF" BorderStyle="Solid" BorderWidth="1px"
                                    Font-Names="Verdana" Font-Size="8pt" Height="15px" TextOverflow="Ellipsis" VerticalAlign="Top">
                                    <Padding Left="3px" />
                                    <BorderDetails ColorLeft="Window" ColorTop="Window" />
                                </RowStyleDefault>
                                <SelectedRowStyleDefault BackColor="DarkGray" />
                                <ActivationObject BorderColor="168, 167, 191" BorderWidth="" />
                                <FilterOptionsDefault FilterUIType="HeaderIcons">
                                    <FilterDropDownStyle BackColor="White" BorderColor="Silver" BorderStyle="Solid" BorderWidth="1px"
                                        CustomRules="overflow:auto;" Font-Names="Verdana,Arial,Helvetica,sans-serif"
                                        Font-Size="11px" Width="200px">
                                        <Padding Left="2px" />
                                    </FilterDropDownStyle>
                                    <FilterHighlightRowStyle BackColor="#151C55" ForeColor="White">
                                    </FilterHighlightRowStyle>
                                    <FilterOperandDropDownStyle BackColor="White" BorderColor="Silver" BorderStyle="Solid"
                                        BorderWidth="1px" CustomRules="overflow:auto;" Font-Names="Verdana,Arial,Helvetica,sans-serif"
                                        Font-Size="11px">
                                        <Padding Left="2px" />
                                    </FilterOperandDropDownStyle>
                                </FilterOptionsDefault>
                                <RowSelectorStyleDefault VerticalAlign="Middle" Wrap="True" BackColor="Silver" Font-Size="Smaller"
                                    ForeColor="Black" HorizontalAlign="Center" />
                                <GroupByRowStyleDefault BackColor="White" ForeColor="LightGray" />
                                <RowAlternateStyleDefault BackColor="LightGray" TextOverflow="Ellipsis">
                                </RowAlternateStyleDefault>
                                <FooterStyleDefault VerticalAlign="Top" BackColor="White">
                                </FooterStyleDefault>
                                <Pager>
                                    <PagerStyle BackColor="LightGray" BorderStyle="Solid" BorderWidth="1px">
                                        <BorderDetails ColorLeft="White" ColorTop="White" />
                                    </PagerStyle>
                                </Pager>
                                <AddNewBox>
                                    <BoxStyle BackColor="LightGray" BorderStyle="Solid" BorderWidth="1px">
                                        <BorderDetails ColorLeft="White" ColorTop="White" />
                                    </BoxStyle>
                                </AddNewBox>
                                <RowExpAreaStyleDefault BackColor="White">
                                </RowExpAreaStyleDefault>
                                <SelectedGroupByRowStyleDefault BackColor="White" ForeColor="Black">
                                </SelectedGroupByRowStyleDefault>
                                <FixedCellStyleDefault TextOverflow="Ellipsis">
                                </FixedCellStyleDefault>
                                <GroupByBox ShowBandLabels="None">
                                </GroupByBox>
                            </DisplayLayout>
                        </igtbl:UltraWebGrid>
                        <asp:Label runat="server" ID="hdn_itemid" /></igmisc:WebAsyncRefreshPanel>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td style="height: 16px" />
            </tr>
            <tr>
                <td>
                    <img src="Images/completed.jpg" alt="image" />
                    <igmisc:WebAsyncRefreshPanel ID="warp_completed" runat="server" Height="100%" LinkedRefreshControlID="warp_pending"
                        TriggerPostBackIDs="uwgCompletedNA" Width="100%" InitializePanel="changeProgressIndicator">
                        <igtbl:UltraWebGrid ID="uwgCompletedNA" runat="server" Browser="Xml" DataSourceID="sds_input_c"
                            CaptionAlign="Left" EnableAppStyling="True" StyleSetName="Nautilus" EnableTheming="False"
                            DataMember="DefaultView">
                            <Bands>
                                <igtbl:UltraGridBand GroupByColumnsHidden="Yes" AllowUpdate="RowTemplateOnly" CellClickAction="RowSelect"
                                    GroupByRowDescriptionMask="[value] ([count])" Indentation="10">
                                    <Columns>
                                        <igtbl:UltraGridColumn BaseColumnName="input_id" DataType="System.Int32" Hidden="True"
                                            IsBound="True" Key="input_id">
                                            <Header Caption="input_id">
                                            </Header>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="business_unit" Hidden="True" IsBound="True"
                                            Key="business_unit">
                                            <Header Caption="business_unit">
                                                <RowLayoutColumnInfo OriginX="1" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="1" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_compliance_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="input_compliance_date">
                                            <Header Caption="input_compliance_date">
                                                <RowLayoutColumnInfo OriginX="2" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="2" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_response" Hidden="True" IsBound="True"
                                            Key="input_response">
                                            <Header Caption="input_response">
                                                <RowLayoutColumnInfo OriginX="3" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="3" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_person_id" Hidden="True" IsBound="True"
                                            Key="input_person_id">
                                            <Header Caption="input_person_id">
                                                <RowLayoutColumnInfo OriginX="4" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="4" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_status_id" DataType="System.Int32" Hidden="True"
                                            IsBound="True" Key="input_status_id">
                                            <Header Caption="input_status_id">
                                                <RowLayoutColumnInfo OriginX="5" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="5" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_status" Hidden="True" IsBound="True"
                                            Key="input_status">
                                            <Header Caption="input_status">
                                                <RowLayoutColumnInfo OriginX="6" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="6" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_group_id" DataType="System.Int32" Hidden="True"
                                            IsBound="True" Key="item_group_id">
                                            <Header Caption="item_group_id">
                                                <RowLayoutColumnInfo OriginX="7" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="7" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_group_desc" IsBound="True" Key="item_group_desc">
                                            <Header Caption="Group">
                                                <RowLayoutColumnInfo OriginX="8" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="8" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_category_id" DataType="System.Int32"
                                            Hidden="True" IsBound="True" Key="item_category_id">
                                            <Header Caption="item_category_id">
                                                <RowLayoutColumnInfo OriginX="9" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="9" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_category_desc" IsBound="True" Key="item_category_desc">
                                            <Header Caption="Category">
                                                <RowLayoutColumnInfo OriginX="10" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="10" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_title" IsBound="True" Key="item_title">
                                            <Header Caption="Title">
                                                <RowLayoutColumnInfo OriginX="11" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="11" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_citation" IsBound="True" Key="item_citation">
                                            <Header Caption="Citation">
                                                <RowLayoutColumnInfo OriginX="12" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="12" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_reference" Hidden="True" IsBound="True"
                                            Key="item_reference">
                                            <Header Caption="item_reference">
                                                <RowLayoutColumnInfo OriginX="13" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="13" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_summary" Hidden="True" IsBound="True"
                                            Key="item_summary">
                                            <Header Caption="item_summary">
                                                <RowLayoutColumnInfo OriginX="14" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="14" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_published_date" DataType="System.DateTime"
                                            Format="MM/dd/yyyy" IsBound="True" Key="item_published_date">
                                            <Header Caption="Published Date">
                                                <RowLayoutColumnInfo OriginX="15" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="15" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_effective_date" DataType="System.DateTime"
                                            Format="MM/dd/yyyy" IsBound="True" Key="item_effective_date">
                                            <Header Caption="Effective Date">
                                                <RowLayoutColumnInfo OriginX="16" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="16" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_applicable" DataType="System.Boolean"
                                            IsBound="True" Key="input_applicable" Type="CheckBox">
                                            <HeaderStyle HorizontalAlign="Center" />
                                            <CellStyle HorizontalAlign="Center">
                                            </CellStyle>
                                            <Header Caption="Applicable?">
                                                <RowLayoutColumnInfo OriginX="17" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="17" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_person" IsBound="True" Key="input_person">
                                            <Header Caption="Responsible Person">
                                                <RowLayoutColumnInfo OriginX="18" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="18" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_distribution_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="item_distribution_date">
                                            <Header Caption="item_distribution_date">
                                                <RowLayoutColumnInfo OriginX="19" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="19" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_comment_due_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="item_comment_due_date">
                                            <Header Caption="item_comment_due_date">
                                                <RowLayoutColumnInfo OriginX="20" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="20" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_status" Hidden="True" IsBound="True"
                                            Key="item_status">
                                            <Header Caption="item_status">
                                                <RowLayoutColumnInfo OriginX="21" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="21" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link1" Hidden="True" IsBound="True" Key="item_link1">
                                            <Header Caption="item_link1">
                                                <RowLayoutColumnInfo OriginX="22" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="22" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url1" Hidden="True" IsBound="True" Key="item_url1">
                                            <Header Caption="item_url1">
                                                <RowLayoutColumnInfo OriginX="23" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="23" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link2" Hidden="True" IsBound="True" Key="item_link2">
                                            <Header Caption="item_link2">
                                                <RowLayoutColumnInfo OriginX="24" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="24" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url2" Hidden="True" IsBound="True" Key="item_url2">
                                            <Header Caption="item_url2">
                                                <RowLayoutColumnInfo OriginX="25" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="25" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link3" Hidden="True" IsBound="True" Key="item_link3">
                                            <Header Caption="item_link3">
                                                <RowLayoutColumnInfo OriginX="26" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="26" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url3" Hidden="True" IsBound="True" Key="item_url3">
                                            <Header Caption="item_url3">
                                                <RowLayoutColumnInfo OriginX="27" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="27" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link4" Hidden="True" IsBound="True" Key="item_link4">
                                            <Header Caption="item_link4">
                                                <RowLayoutColumnInfo OriginX="28" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="28" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url4" Hidden="True" IsBound="True" Key="item_url4">
                                            <Header Caption="item_url4">
                                                <RowLayoutColumnInfo OriginX="29" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="29" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_link5" Hidden="True" IsBound="True" Key="item_link5">
                                            <Header Caption="item_link5">
                                                <RowLayoutColumnInfo OriginX="30" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="30" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="item_url5" Hidden="True" IsBound="True" Key="item_url5">
                                            <Header Caption="item_url5">
                                                <RowLayoutColumnInfo OriginX="31" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="31" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="user_id" Hidden="True" IsBound="True" Key="user_id">
                                            <Header Caption="user_id">
                                                <RowLayoutColumnInfo OriginX="32" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="32" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="group_order" Hidden="True" IsBound="True"
                                            Key="group_order">
                                            <Header Caption="group_order">
                                                <RowLayoutColumnInfo OriginX="33" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="33" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="category_order" Hidden="True" IsBound="True"
                                            Key="category_order">
                                            <Header Caption="category_order">
                                                <RowLayoutColumnInfo OriginX="34" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="34" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_reviewed_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="input_reviewed_date">
                                            <Header Caption="Reviewed Date">
                                                <RowLayoutColumnInfo OriginX="35" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="35" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_ops" DataType="System.Boolean" Hidden="True"
                                            IsBound="True" Key="input_ops">
                                            <Header Caption="OpsInfo?">
                                                <RowLayoutColumnInfo OriginX="36" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="36" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                        <igtbl:UltraGridColumn BaseColumnName="input_ops_date" DataType="System.DateTime"
                                            Hidden="True" IsBound="True" Key="input_ops_date">
                                            <Header Caption="input_ops_date">
                                                <RowLayoutColumnInfo OriginX="37" />
                                            </Header>
                                            <Footer>
                                                <RowLayoutColumnInfo OriginX="37" />
                                            </Footer>
                                        </igtbl:UltraGridColumn>
                                    </Columns>
                                    <RowEditTemplate>
                                        <div style="overflow: scrollbar">
                                            <table style="font-family: Arial; font-size: 10pt;">
                                                <tr valign="top">
                                                    <td style="width: 820px; height: 410px;">
                                                        <table>
                                                            <tr>
                                                                <td align="left" style="width: 690">
                                                                    <asp:Label ID="lbl_editheader" runat="server" SkinID="skinBoldLabel" Text="Update the necessary information for this regulation."
                                                                        Width="690"></asp:Label>
                                                                    &nbsp;
                                                                </td>
                                                                <td align="left" style="width: 60">
                                                                    <input id="igtbl_reOkBtn" onclick="validateOpsDate('uwgcompletedna'); igtbl_gRowEditButtonClick(event);"
                                                                        style="width: 50" type="button" value="Submit" />
                                                                </td>
                                                                <td style="width: 10">
                                                                </td>
                                                                <td align="left" style="width: 60">
                                                                    <input id="igtbl_reCancelBtn" onclick="globalCancel=true; igtbl_gRowEditButtonClick(event);"
                                                                        style="width: 50" type="button" value="Close" />
                                                                </td>
                                                                <td>
                                                                    <asp:HiddenField ID="hdn_itemid" runat="server" Value="" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <hr style="color: black;" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table>
                                                            <tr valign="top">
                                                                <td style="width: 408px" valign="top">
                                                                    <table>
                                                                        <tr>
                                                                            <td align="right" style="width: 70">
                                                                                <asp:Label ID="lbl_ret_group" runat="server" SkinID="skinBoldLabel" Text="Group: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 30">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_group" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70">
                                                                                <asp:Label ID="lbl_ret_category" runat="server" SkinID="skinBoldLabel" Text="Category: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_category" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_title" runat="server" SkinID="skinBoldLabel" Text="Title: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_title" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_citation" runat="server" SkinID="skinBoldLabel" Text="Citation: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_citation" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_reference" runat="server" SkinID="skinBoldLabel" Text="Federal Register: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_reference" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_published_date" runat="server" SkinID="skinBoldLabel" Text="Published Date: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_published_date" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 70" valign="top">
                                                                                <asp:Label ID="lbl_ret_effective_date" runat="server" SkinID="skinBoldLabel" Text="Effective Date: "></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_effective_date" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" SkinID="skinTxtBxRO" Width="320px">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <table>
                                                                        <tr>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:Label ID="lbl_ret_summary" runat="server" SkinID="skinBoldLabel" Text="Summary: "></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="left" style="width: 400">
                                                                                <asp:TextBox ID="txt_ret_summary" runat="server" BorderColor="Gainsboro" BorderStyle="Solid"
                                                                                    BorderWidth="1px" ReadOnly="True" Rows="8" SkinID="skinTxtBxRO" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="400">
                                                                                </asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td style="width: 10">
                                                                </td>
                                                                <td style="width: 390" valign="top">
                                                                    <table>
                                                                        <tr>
                                                                            <td align="right" style="width: 160">
                                                                                <asp:Label ID="lbl_applicable" runat="server" SkinID="skinBoldLabel" Text="Is Applicable?"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td align="left" style="width: 230px">
                                                                                <asp:CheckBox ID="inp_applicable" runat="server" />
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 160">
                                                                                <asp:Label ID="lbl_person" runat="server" SkinID="skinBoldLabel" Text="Responsible Person"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td style="width: 230px">
                                                                                <asp:HiddenField ID="hidden_person" runat="server" />
                                                                                <asp:TextBox ID="inp_person" runat="server" ReadOnly="true" Width="140px" ToolTip="This is the person responsible for the verification of the rule applicability or the person responsible for the implementation of an action plan associated with an applicable rule. This field must be completed as part of the verification process and cannot be left blank."></asp:TextBox>
                                                                                <button id="btn_person" runat="server" onclick="javascript:openWindow(1);" type="button">
                                                                                    Search</button>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 160" valign="top">
                                                                                <asp:Label ID="lbl_reviewed" runat="server" SkinID="skinBoldLabel" Text="Date Reviewed:"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td valign="middle">
                                                                                <igsch:WebDateChooser ID="wdc_reviewed" runat="server" AllowNull="true" Format="Short"
                                                                                    HideDropDowns="True" NullDateLabel="" NullValueRepresentation="Null" Value=""
                                                                                    Width="100px" ToolTip="This is the date the regulation was reviewed by the Business Unit and applicability was determined. This date must be entered as part of the verification process and cannot be left blank.">
                                                                                    <CalendarLayout CellPadding="0" Culture="English (United States)">
                                                                                    </CalendarLayout>
                                                                                    <ClientSideEvents InitializeDateChooser="wdc_InitializeDateChooser" CalendarDateClicked="wdc_CalendarDateClicked" />
                                                                                </igsch:WebDateChooser>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="right" style="width: 160" valign="top">
                                                                                <asp:Label ID="lbl_compliance" runat="server" SkinID="skinBoldLabel" Text="BU Compliance Date:"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 10">
                                                                            </td>
                                                                            <td valign="middle">
                                                                                <igsch:WebDateChooser ID="wdc_compliance" runat="server" AllowNull="true" Format="Short"
                                                                                    HideDropDowns="True" NullDateLabel="" NullValueRepresentation="DBNull" Value=""
                                                                                    Width="100px" ToolTip="This is the date the Business Unit determines they are in compliance with an applicable regulation. The date could coincide directly with compliance dates outlined in the regulation or the date could be earlier if the Business Unit demonstrates compliance with the requirements in the rule prior to regulatory deadlines. The compliance date only needs to be filled in for applicable regulations.">
                                                                                    <CalendarLayout CellPadding="0">
                                                                                    </CalendarLayout>
                                                                                    <ClientSideEvents InitializeDateChooser="wdc_InitializeDateChooser" CalendarDateClicked="wdc_CalendarDateClicked" />
                                                                                </igsch:WebDateChooser>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <table>
                                                                                    <tr>
                                                                                        <td valign="middle">
                                                                                            <asp:Label ID="lbl_ops" runat="server" SkinID="skinBoldLabel" Text="Implemented in OpsInfo?"></asp:Label>
                                                                                        </td>
                                                                                        <td style="width: 10px" valign="middle">
                                                                                        </td>
                                                                                        <td valign="middle">
                                                                                            Yes<input type="radio" runat="server" id="rb_ops_yes" name="ops" style="vertical-align: middle" />
                                                                                            No<input type="radio" runat="server" id="rb_ops_no" name="ops" style="vertical-align: middle" />
                                                                                            <input type="button" runat="server" id="btn_ops_unselect" value="Unselect" onclick="unselectRadioButtons('uwgcompletedna');"
                                                                                                style="width: 60px; font-size: smaller" />
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                                <table>
                                                                                    <tr>
                                                                                        <td style="width: 20px">
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:Label ID="lbl_ops_date" runat="server" SkinID="skinBoldLabel" Text="If Yes, Date Implemented:"></asp:Label>
                                                                                        </td>
                                                                                        <td style="width: 10px">
                                                                                        </td>
                                                                                        <td>
                                                                                            <igsch:WebDateChooser ID="wdc_ops_date" runat="server" AllowNull="true" Format="Short"
                                                                                                HideDropDowns="True" NullDateLabel="" NullValueRepresentation="DBNull" ToolTip="This is the date OpsInfo has been updated/changed/modified to incorporate compliance tracking action items."
                                                                                                Value="" Width="100px">
                                                                                                <CalendarLayout CellPadding="0">
                                                                                                </CalendarLayout>
                                                                                                <ClientSideEvents InitializeDateChooser="wdc_InitializeDateChooser" CalendarDateClicked="wdc_CalendarDateClicked" />
                                                                                            </igsch:WebDateChooser>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <table>
                                                                        <tr>
                                                                            <td align="left" style="width: 140">
                                                                                <asp:Label ID="lbl_response" runat="server" SkinID="skinBoldLabel" Text="Response: "></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="left" style="width: 380">
                                                                                <asp:TextBox ID="inp_response" runat="server" Rows="6" SkinID="skinTxtBx" Style="overflow: auto"
                                                                                    TextMode="MultiLine" Width="380" ToolTip="Provide a description of the Business Units action plan or status of the regulatory verification process."></asp:TextBox>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <table>
                                                                        <tr>
                                                                            <td style="height: 5">
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <asp:Panel ID="pnl_links" runat="server" GroupingText="Links" Width="100%">
                                                                                    <div id="div_links_c">
                                                                                        <table width="100%">
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px; height: 10px;">
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link1" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link2" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link3" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link4" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td align="left" style="width: 380px">
                                                                                                    <a id="hyp_link5" style="width: 100%" target="_blank"></a>
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </div>
                                                                                </asp:Panel>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </RowEditTemplate>
                                    <RowTemplateStyle BackColor="White" BorderColor="Black" BorderStyle="Ridge">
                                        <BorderDetails WidthBottom="3px" WidthLeft="3px" WidthRight="3px" WidthTop="3px" />
                                    </RowTemplateStyle>
                                    <FixedCellStyle VerticalAlign="Top" Wrap="True">
                                    </FixedCellStyle>
                                    <AddNewRow View="NotSet" Visible="NotSet">
                                    </AddNewRow>
                                </igtbl:UltraGridBand>
                            </Bands>
                            <DisplayLayout AllowUpdateDefault="Yes" BorderCollapseDefault="Separate" Name="uwgCompletedNA"
                                SelectTypeRowDefault="Single" Version="3.00" ViewType="Hierarchical" CellClickActionDefault="RowSelect"
                                GroupByRowDescriptionMaskDefault="[value] ([count])" IndentationDefault="10"
                                MergeStyles="False" LoadOnDemand="Xml" AllowRowNumberingDefault="ByDataIsland"
                                EnableClientSideRenumbering="True" HeaderClickActionDefault="SortMulti" TableLayout="Fixed"
                                EnableInternalRowsManagement="True" GroupByColumnsHiddenDefault="No" RowsRange="-1"
                                AllowSortingDefault="Yes">
                                <FrameStyle BackColor="Transparent" BorderStyle="None" BorderWidth="1px" Font-Names="Verdana"
                                    Font-Size="8pt" />
                                <ClientSideEvents BeforeRowTemplateOpenHandler="uwg_BeforeRowTemplateOpen" BeforeRowTemplateCloseHandler="uwg_BeforeRowTemplateClose"
                                    AfterRowTemplateCloseHandler="uwg_AfterRowTemplateClose" AfterXmlHttpResponseProcessed="uwg_AfterXmlHttpResponse"
                                    InitializeLayoutHandler="uwg_InitializeLayout"></ClientSideEvents>
                                <EditCellStyleDefault BorderStyle="None" BorderWidth="0px" />
                                <HeaderStyleDefault BackColor="White" BorderStyle="Solid" Wrap="True" ForeColor="DarkGray"
                                    HorizontalAlign="Left" Font-Bold="True" Height="15px">
                                    <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px" />
                                </HeaderStyleDefault>
                                <RowStyleDefault BackColor="Window" BorderColor="#A8A7BF" BorderStyle="Solid" BorderWidth="1px"
                                    Font-Names="Verdana" Font-Size="8pt" TextOverflow="Ellipsis" VerticalAlign="Top"
                                    Height="15px">
                                    <Padding Left="3px" />
                                    <BorderDetails ColorLeft="Window" ColorTop="Window" />
                                </RowStyleDefault>
                                <SelectedRowStyleDefault BackColor="DarkGray" />
                                <GroupByBox Hidden="True" />
                                <ActivationObject BorderColor="168, 167, 191" BorderWidth="" />
                                <FilterOptionsDefault FilterUIType="HeaderIcons">
                                    <FilterDropDownStyle BackColor="White" BorderColor="Silver" BorderStyle="Solid" BorderWidth="1px"
                                        CustomRules="overflow:auto;" Font-Names="Verdana,Arial,Helvetica,sans-serif"
                                        Font-Size="11px" Width="200px">
                                        <Padding Left="2px" />
                                    </FilterDropDownStyle>
                                    <FilterHighlightRowStyle BackColor="#151C55" ForeColor="White">
                                    </FilterHighlightRowStyle>
                                    <FilterOperandDropDownStyle BackColor="White" BorderColor="Silver" BorderStyle="Solid"
                                        BorderWidth="1px" CustomRules="overflow:auto;" Font-Names="Verdana,Arial,Helvetica,sans-serif"
                                        Font-Size="11px">
                                        <Padding Left="2px" />
                                    </FilterOperandDropDownStyle>
                                </FilterOptionsDefault>
                                <RowSelectorStyleDefault VerticalAlign="Middle" Wrap="True" BackColor="Silver" Font-Size="Smaller"
                                    ForeColor="Black" HorizontalAlign="Center" />
                                <GroupByRowStyleDefault BackColor="White" ForeColor="LightGray" />
                                <RowAlternateStyleDefault BackColor="LightGray" TextOverflow="Ellipsis">
                                </RowAlternateStyleDefault>
                                <FooterStyleDefault VerticalAlign="Top" BackColor="White">
                                </FooterStyleDefault>
                                <Pager>
                                    <PagerStyle BackColor="LightGray" BorderStyle="Solid" BorderWidth="1px">
                                        <BorderDetails ColorLeft="White" ColorTop="White" />
                                    </PagerStyle>
                                </Pager>
                                <AddNewBox>
                                    <BoxStyle BackColor="LightGray" BorderStyle="Solid" BorderWidth="1px">
                                        <BorderDetails ColorLeft="White" ColorTop="White" />
                                    </BoxStyle>
                                </AddNewBox>
                                <RowExpAreaStyleDefault BackColor="White">
                                </RowExpAreaStyleDefault>
                                <SelectedGroupByRowStyleDefault BackColor="White" ForeColor="Black">
                                </SelectedGroupByRowStyleDefault>
                                <FixedCellStyleDefault TextOverflow="Ellipsis">
                                </FixedCellStyleDefault>
                            </DisplayLayout>
                        </igtbl:UltraWebGrid>
                    </igmisc:WebAsyncRefreshPanel>
                </td>
            </tr>
        </table>
        <asp:SqlDataSource ID="sds_input_p" runat="server" ConnectionString="<%$ ConnectionStrings:MRVConnectionString %>"
            SelectCommand="sp_input_select" SelectCommandType="StoredProcedure" UpdateCommand="sp_input_modify"
            UpdateCommandType="StoredProcedure">
            <SelectParameters>
                <asp:Parameter Name="status" Type="String" DefaultValue="P" />
                <asp:ControlParameter ControlID="ddl_BU" Name="bu_id" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="input_id" Type="Int32" />
                <asp:Parameter Name="input_item_id" Type="Int32" />
                <asp:Parameter Name="input_business_unit_id" Type="Int32" />
                <asp:Parameter Name="input_applicable" Type="Boolean" />
                <asp:Parameter Name="input_reviewed_date" Type="DateTime" />
                <asp:Parameter Name="input_compliance_date" Type="DateTime" />
                <asp:Parameter Name="input_response" Type="String" />
                <asp:Parameter Name="input_person_id" Type="String" />
                <asp:Parameter Name="input_ops" Type="string" />
                <asp:Parameter Name="input_ops_date" Type="datetime" />
                <asp:Parameter Name="user_id" Type="String" />
            </UpdateParameters>
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sds_input_c" runat="server" ConnectionString="<%$ ConnectionStrings:MRVConnectionString %>"
            SelectCommand="sp_input_select" SelectCommandType="StoredProcedure" UpdateCommand="sp_input_modify"
            UpdateCommandType="StoredProcedure">
            <SelectParameters>
                <asp:Parameter Name="status" Type="String" DefaultValue="C" />
                <asp:ControlParameter ControlID="ddl_BU" Name="bu_id" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="input_id" Type="Int32" />
                <asp:Parameter Name="input_item_id" Type="Int32" />
                <asp:Parameter Name="input_business_unit_id" Type="Int32" />
                <asp:Parameter Name="input_applicable" Type="Boolean" />
                <asp:Parameter Name="input_reviewed_date" Type="DateTime" />
                <asp:Parameter Name="input_compliance_date" Type="DateTime" />
                <asp:Parameter Name="input_response" Type="String" />
                <asp:Parameter Name="input_person_id" Type="String" />
                <asp:Parameter Name="input_ops" Type="string" />
                <asp:Parameter Name="input_ops_date" Type="datetime" />
                <asp:Parameter Name="user_id" Type="String" />
            </UpdateParameters>
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sql_BU" runat="server" ConnectionString="<%$ ConnectionStrings:MRVConnectionString %>"
            SelectCommand="select 0 as code_id, '' as code_descr union all SELECT [code_id], [code_descr] FROM [tbl_code] WHERE ([code_type] = @code_type)">
            <SelectParameters>
                <asp:Parameter DefaultValue="BU" Name="code_type" Type="String" />
            </SelectParameters>
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sds_employees" runat="server" ConnectionString="<%$ ConnectionStrings:MRVConnectionString %>"
            SelectCommand="sp_employees_select" SelectCommandType="StoredProcedure"></asp:SqlDataSource>
    </form>
</body>
</html>
